/*CSS code for homepage*/

h4{
   font-weight: bolder;
   color: var(--culoare-text);
}
a{
   color: var(--culoare-header-1);
}
/*animatie galerie avantaje*/
#grid-galerie-avantaje>figure{
   cursor: pointer;
}
#grid-galerie-avantaje figure:hover figcaption{
   font-weight: bold;
   color: var(--culoare-hover);
   transform: scale(1.2);
   transition: transform 0.5 ease; 
}

.container-iframe{
   display: flex;
   flex-direction: column-reverse;
   align-items: justify;
}
.container-iframe iframe{
   --dim-margine-iframe: 5px;
   border-width: var(--dim-margine-iframe);
   border-style: inset;
   border-color: var(--culoare-border-iframe);
   width: calc(100%-(var(--dim-margine-iframe)));
}

.taburi-iframe{
   display: flex;
   justify-content: space-between;
   width: 100%; 
}
main .taburi-iframe>a{
   display: block;
   /* position:relative; */
   padding: 2%;
   text-align: center;
   color: #f38f55;
   text-shadow: -1px 0px 4px #fff, 0px 1px 4px #fff, 1px 0px 4px #fff, 0px -1px 4px #fff;
   text-decoration: none;
   border: 3px solid #f38f55;
   box-shadow:
      inset 0 0 0 4px #fff,
      inset 0 0 0 8px #f38f55,
      inset 0 0 7px 15px rgb(243, 153, 101);
   width: 15%;
   height: 20%;
   border-bottom-right-radius: 35px;
   border-bottom-left-radius: 35px;
   line-height: 20px;
   /* background-image:linear-gradient(rgb(159, 108, 79), rgb(245, 160, 110), #fff 70%); */
   background-image:linear-gradient(rgb(159, 108, 79) 10%, rgb(245, 160, 110) 25%, #ffffff 38%,#ffffff 100%);
   background-position: 0 0;
   background-size: 100% 200%; 
   background-repeat: no-repeat;
   transition: all 1s linear;
}
.taburi-iframe>a:last-child{
   margin-left: 0;
   margin-right: 0;
}

.taburi-iframe a:hover{
   color: #bd6b3b;
   background-position: 0 35%;
}

#oferta-zilei .ch3{
   color: var(--culoare-hover);
}

#oferta-zilei .o{
   color: cornflowerblue;
}

footer{
   background-color: var(--culoare-footer);
   border:2px solid var(--culoare-border);
   box-shadow: var(--culoare-border) 0 0 10px;
   border-radius: 15px;
   padding: 15px;
}

#banner{
   position: fixed;
   bottom: 0;
   left: -100%;
   width: calc(100% - var(--dim-spatiere) * 2);
   /* width: 100%; */
   align-self: center;
   padding: 0.5rem;
   animation: animatie_banner 5s linear forwards;
   background-color: var(--culoare-header);
   border: 1.5px solid var(--culoare-header);
}
@keyframes animatie_banner{
   0%{
      left: -100%;
      background-color: var(--culoare-fundal-secundara);
      border-color: var(--culoare-border);
   }
   50%{
      /* left: 50%; */
      transform: translateX(-50%);
      background-color: var(--culoare-border);
      border-color: var(--culoare-fundal-secundara);
   }
   100%{
      left: var(--dim-spatiere);
      background-color: var(--culoare-fundal-secundara);
      border-color: var(--culoare-border);
   }
}
@media screen and (max-width:1200px) {
   #banner{
      left: var(--dim-spatiere);
      animation: unset;
      background-color: var(--culoare-fundal-secundara);
      border-color: var(--culoare-border);
   }
}

/* ----- printare ----- */
#watermark{
   display: none;
}
@media print {
   figure,.container-iframe,img,#link-top,.meniu ul,#container-video,#link-inceput-footer, #btn-tema, #banner>span,#header-img,#container-schimba-tema{
      display: none;
   }
   html,body{
      width: 210mm;
      height: 290mm;
      overflow:visible !important;
   }
   body *{
      color: var(--culoare-text) !important;
   }

   footer #banner{
     position: absolute;
     display: flex;
     justify-content: center;
     text-align: center;
     line-height: 20px;
     top:80%;
     width:70vw;
     padding: 7px;
     overflow: visible;
     font-size:10px;
     border:4px inset black !important;
   }
   header{
      all:unset;
      display: block;
      position: absolute;
      margin-top: 50%;
   }
   #h1-container{
      border: unset;
      box-shadow: unset;
   }
   #header{
      background-color: transparent;
      margin:0;
      padding:0;
      display: block;
      margin: auto;
   }
   #header h1{
      margin:0;
      text-align:center;
      margin-left:1cm;
      -webkit-text-fill-color: unset;
   }

   nav#meniu-principal{
      all:unset;  
      page-break-after: always;
      position: relative;
      top: 45%;
   }
   #meniu-principal>ul{
      display: block;
      position: relative;
   } 
   .drop-down:after{
      content:'';
   }

   footer{
      /* all:unset; */
      background-color: #fff;
      border:0;
      box-shadow: none;
      border-radius: 0;
      padding: 0;
      page-break-before: always;
   } 
   #watermark{
      display: block;
      position: fixed;/*apare pe toate paginile*/
      bottom:0;
      color:var(--culoare-text);;
      opacity: 0.4;
      font-weight: bold;
      font-size: small;
      line-height: 0.8rem;
      text-align:center;
      width: 19vw; /*4cm din latimea paginii A4*/
      height: 3.37vh; /*1cm din inaltimea paginii A4*/
      right:0;
      opacity:0.4;
      padding:5px;
      display: block;
      background: white;
      border:3px solid var(--culoare-text);;
      border-radius: 10px;
   }

   main div#grid-pagina{
      display: block;
      padding: 0;
      margin: auto;
      font-size: 10px;
      box-sizing: border-box;
      page-break-before: always;
      width: 100%;
   }
   div#grid-pagina>section{
      box-shadow: none !important;
      display: block;
   }
   #grid-galerie>div{
      all: unset;
      border: unset !important;
   }

   body a, main a:visited, footer a:visited{
      color: var(--culoare-text);
      text-decoration: none;
   }

}
@page{
   size: A4 portrait;
   margin-bottom:2cm;
   margin-top:2cm;
   counter-increment: page;
        
}
@page:left{
   margin-left:3cm;
   margin-right:1cm;
   border-radius: 20cm;
}
@page:right{
   margin-right:3cm;
   margin-left:1cm;
}



